import { Component } from '@angular/core';
import { RouterOutlet } from '@angular/router';
import { MarkdownService } from 'ngx-markdown';
import { TopNavComponent } from './top-nav/top-nav.component';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [RouterOutlet, TopNavComponent],
  templateUrl: './app.component.html',
  styleUrl: './app.component.css'
})
export class AppComponent {
  title = "James' personal site";
  markdown = '# Hello, world!';
  html: string = "";

  constructor(private markdownService: MarkdownService) {
    this.html = this.markdownService.parse(this.markdown).valueOf().toString();
  }
}
